# News - 14 series

(release-14-04)=
## Release 14.04 - 2024-06-12

### Improvements

* [{doc}`/install/almalinux`] Added support for MariaDB 10.5.25, 10.6.18, and 10.11.8.

* [{doc}`/install/ubuntu`] Added support for MariaDB 10.11.7.

* [{doc}`/install/ubuntu`] Added support for MariaDB 10.6.18.

* [{doc}`/install/debian`] Added support for MariaDB 10.11.8.

* [{doc}`/install/ubuntu`] Added support for MySQl 8.0.36.

* [{doc}`/install/almalinux`][{doc}`/install/debian`][{doc}`/install/ubuntu`] Added support for MySQl Community Server 8.0.37.

* [{doc}`/install/almalinux`][{doc}`/install/debian`][{doc}`/install/ubuntu`] Added support for MySQl Community Server 8.4.

* [{doc}`/install/almalinux`] Added support for Percona Server 8.0.36-28.

* [{doc}`/install/ubuntu`] Added support for Ubuntu 24.04 (Noble Numbat).

* Dropped support MySQL Community Server 5.7.

  Because MySQL Community Server 5.7 reached EOL.

* Dropped support Percona Server 5.7

  Because Percona Server for MySQL 5.7 reached EOL.

* Dropped support for MariaDB 10.4.

  Because MariaDB 10.4 will reach EOL on 2024-06-18.

* Dropped support for MariaDB 10.7, 10.8, and 10.9.

  Because MariaDB 10.7, 10.8, and 10.9 reached EOL.

* Dropped support for MariaDB 10.10.

  Because the support term of MariaDB 10.10 is short.

* Dropped support for Amazon Linux 2.

  Because Groonga already dropped support for Amazon Linux 2.

* Dropped support for CentOS 7.

  Because CentOS 7 reached EOL.

* [{doc}`/install/debian`] Dropped support for Debian GNU/Linux bullseye.

  Because Debian GNU/Linux bullseye will reach EOL on 2024-07.

* Added functionality to output an error when Mroonga's UDF is used while Mroonga is uninitialized. [MDEV-21166][Reported by Ian Gilfillan.]

  Before this fix, using Mroonga's UDF without initializing Mroonga (not having run `INSTALL PLUGIN mroonga`) would cause a crash.
  This patch changes the output from a crash to logging an error.

### Fixes

* [{doc}`/tutorial/wrapper`] Fixed memory leaks in cases where engines not supporting online DDL are wrapped.

  In general, DDL operations like `ALTER TABLE` block access to the target table while in progress to maintain exclusive control.
  However, some storage engines allow operations on the target table during these operations (they can also be executed exclusively).
  The capability to operate on a table during such DDL operations is referred to as online DDL.

  The issue addressed occurs when wrapping storage engines that do not support online DDL in Mroonga's wrapper mode.
  It does not occur in storage mode or when using a combination of wrapper mode + InnoDB.

* [{doc}`/tutorial/storage`] Fixed a bug causing crashes when inserting into tables with compressed `VARCHAR` or `TEXT` columns. [MDEV-31966][Reported by Elena Stepanova.]

  This issue occurs only in storage mode and not in wrapper mode.

### Thanks

* Ian Gilfillan
* Elena Stepanova
